OpenAutoClassifieds friendmail.php script cross-site scripting

openautoclassifieds-friendmail-xss (13604) The risk level is classified as MediumMedium Risk

Description:

OpenAutoClassifieds is vulnerable to cross-site scripting. A remote attacker could embed malicious script within the ?listing variable in a URL request to the friendmail.php script, which would be executed in the victim's Web browser within the security context of the blocked site, once the link is clicked. An attacker could exploit this vulnerability to steal the victim's cookie-based authentication credentials and obtain other sensitive information.


Consequences:

Gain Access

Remedy:

No remedy available as of September 1, 2014.

References:

  • SecuriTeam Mailing List, UNIX focus 3 Nov 2003: OpenAutoClassifieds Cross-Site Scripting Vulnerability.
  • BID-8972: OpenAutoClassifieds Listing Parameter Cross-Site Scripting Vulnerability
  • CVE-2003-1145: Cross-site scripting (XSS) vulnerability in friendmail.php in OpenAutoClassifieds 1.0 allows remote attackers to inject arbitrary web script or HTML via the listing parameter.
  • OSVDB ID: 2767: OpenAutoClassifieds friendmail.php listing Parameter XSS
  • SA10138: OpenAutoClassifieds "listing" Parameter Cross-Site Scripting Vulnerability

Platforms Affected:

  • Jon Roig OpenAutoClassifieds 1.0

Reported:

Nov 03, 2003

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page